﻿using System;
using System.Linq;
using System.Windows;
using Telerik.Windows.Diagrams.Core;

namespace WpfExample
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();

			var snappingService = this.diagram.ServiceLocator.GetService<ISnappingService>();

			SnappingEngine snapEng = new MySnappingEngine();
			snappingService.SetSnappingEngine(snapEng);	
		}
	}
}
